import { HttpException, HttpStatus } from '@nestjs/common';
import { TipoVista } from './tipo-vista.entity';
import { Repository } from 'typeorm';
import { CreateTipoVistaDto } from './dto/create-tipo-vista.dto';
import { UpdateTipoVistaDto } from './dto/update-tipo-vista.dto';
export declare class TipoVistaService {
    private tipoVistaRepository;
    constructor(tipoVistaRepository: Repository<TipoVista>);
    getDataAll(): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        vista: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            tipo_vista_id: number;
            tipoVista: TipoVista;
            inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
        }[];
        id: number;
        nombre: string;
        deleted_at: Date;
    }[]>;
    getData(page?: number, limit?: number): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            vista: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                tipo_vista_id: number;
                tipoVista: TipoVista;
                inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
            }[];
            id: number;
            nombre: string;
            deleted_at: Date;
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    searchData(page: number, limit: number, params: any): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            vista: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                tipo_vista_id: number;
                tipoVista: TipoVista;
                inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
            }[];
            id: number;
            nombre: string;
            deleted_at: Date;
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    getDataById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        vista: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            tipo_vista_id: number;
            tipoVista: TipoVista;
            inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
        }[];
        id: number;
        nombre: string;
        deleted_at: Date;
    }>;
    createTipoVista(tipoVista: CreateTipoVistaDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            vista: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                tipo_vista_id: number;
                tipoVista: TipoVista;
                inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
            }[];
            id: number;
            nombre: string;
            deleted_at: Date;
        };
        status: HttpStatus;
        message: string;
    }>;
    updateData(id: number, tipoVista: UpdateTipoVistaDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            vista: import("../vista/vista.entity").Vista[] & string;
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteData(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
